summaryrefslogtreecommitdiffstats
path: root/packaging
diff options
context:
space:
mode:
authorJabier Arraiza Cenoz <jabier.arraiza@marker.es>2015-12-08 11:05:08 +0000
committerjabiertxof <jabier.arraiza@marker.es>2015-12-08 11:05:08 +0000
commitd79bd642b3214f1c44d7c1268e8adcb7bd55fffc (patch)
tree74a8529da5f23996ba4b358c045a7588f8c27f24 /packaging
parentminor changes (diff)
parentmerge lp:~inkscape.dev/inkscape/lock_guides (diff)
downloadinkscape-d79bd642b3214f1c44d7c1268e8adcb7bd55fffc.tar.gz
inkscape-d79bd642b3214f1c44d7c1268e8adcb7bd55fffc.zip
update to trunk
(bzr r14272.1.11)
Diffstat (limited to 'packaging')
-rwxr-xr-xpackaging/macosx/Resources/bin/inkscape3
-rwxr-xr-xpackaging/macosx/osx-app.sh44
-rwxr-xr-xpackaging/macosx/osx-build.sh1
-rw-r--r--packaging/macosx/ports/devel/inkscape-packaging/Portfile4
4 files changed, 39 insertions, 13 deletions
diff --git a/packaging/macosx/Resources/bin/inkscape b/packaging/macosx/Resources/bin/inkscape
index dd6a888b7..85c9f8eba 100755
--- a/packaging/macosx/Resources/bin/inkscape
+++ b/packaging/macosx/Resources/bin/inkscape
@@ -43,7 +43,7 @@ if [ -z "$INK_PATH_ORIG" ]; then
# Fink
# MacPorts (former DarwinPorts)
# LaTeX distribution for Mac OS X
- PATH_OTHER="/usr/texbin:/opt/local/bin:/sw/bin/:/usr/local/bin"
+ PATH_OTHER="/Library/TeX/texbin:/usr/texbin:/opt/local/bin:/sw/bin/:/usr/local/bin"
# Put /usr/bin at beginning of path so we make sure we use Apple's python
# over one that may be installed be Macports, Fink or some other means.
@@ -167,6 +167,7 @@ esac
unset INK_DEBUG # ignore for recursive calls
if [ "x$INK_DEBUG_SHELL" != "x" ]; then
+ unset INK_DEBUG_SHELL # ignore for recursive calls
exec bash
else
$EXEC "$CWD/inkscape-bin" "$@"
diff --git a/packaging/macosx/osx-app.sh b/packaging/macosx/osx-app.sh
index ad41e844a..2a6e9ed15 100755
--- a/packaging/macosx/osx-app.sh
+++ b/packaging/macosx/osx-app.sh
@@ -247,12 +247,19 @@ if ! pkg-config --exists poppler; then
exit 1
fi
+if [ ! -e "$LIBPREFIX/lib/libpotrace.dylib" ]; then
+ echo "Missing potrace -- please install potrace and try again." >&2
+ exit 1
+fi
+
if ! pkg-config --exists ImageMagick; then
echo "Missing ImageMagick -- please install ImageMagick and try again." >&2
exit 1
fi
-if [ ! -e "$LIBPREFIX/lib/aspell-0.60/en.dat" ]; then
+# FIXME: retrieve aspell version from installed files (no pkg-config support)
+ASPELL_VERSION="0.60"
+if [ ! -e "$LIBPREFIX/lib/aspell-$ASPELL_VERSION/en.dat" ]; then
echo "Missing aspell en dictionary -- please install at least 'aspell-dict-en', but" >&2
echo "preferably more dictionaries ('aspell-dict-*') and try again." >&2
exit 1
@@ -484,7 +491,9 @@ if [ ${add_python} = "true" ]; then
fi
$cp_cmd -RL "$packages_path/sk1libs" "$pkgpython"
$cp_cmd -RL "$packages_path/uniconvertor" "$pkgpython"
- # PyGTK (Sozi)
+ # pySerial for HPGL plotting
+ $cp_cmd -RL "$packages_path/serial" "$pkgpython"
+ # PyGTK (optional)
$cp_cmd -RL "$packages_path/cairo" "$pkgpython"
$cp_cmd -RL "$packages_path/glib" "$pkgpython"
$cp_cmd -RL "$packages_path/gobject" "$pkgpython"
@@ -537,8 +546,15 @@ sed -e "s,__build_arch__,$_build_arch,g" -i "" "$scrpath"
echo "APPLInks" > $package/Contents/PkgInfo
# Pull in extra requirements for Pango and GTK
-mkdir -p $pkgetc/pango
-touch "$pkgetc/pango/pangorc"
+PANGOVERSION=$(pkg-config --modversion pango)
+PANGOVERSION_MINOR="$(cut -d. -f2 <<< $PANGOVERSION)"
+
+if [ $PANGOVERSION_MINOR -lt 37 ]; then
+ mkdir -p $pkgetc/pango
+ touch "$pkgetc/pango/pangorc"
+else
+ echo "Newer pango version found, modules are built-in"
+fi
# We use a modified fonts.conf file so only need the dtd
mkdir -p $pkgshare/xml/fontconfig
@@ -550,9 +566,12 @@ $cp_cmd -r $LIBPREFIX/share/fontconfig/conf.avail $pkgshare/fontconfig/
(cd $pkgetc/fonts/conf.d && $ln_cmd ../../../share/fontconfig/conf.avail/10-autohint.conf)
(cd $pkgetc/fonts/conf.d && $ln_cmd ../../../share/fontconfig/conf.avail/70-no-bitmaps.conf)
-pango_version=`pkg-config --variable=pango_module_version pango`
-mkdir -p $pkglib/pango/$pango_version/modules
-$cp_cmd $LIBPREFIX/lib/pango/$pango_version/modules/*.so $pkglib/pango/$pango_version/modules/
+if [ $PANGOVERSION_MINOR -lt 37 ]; then
+ # Pull in modules
+ pango_mod_version=`pkg-config --variable=pango_module_version pango`
+ mkdir -p $pkglib/pango/$pango_mod_version/modules
+ $cp_cmd $LIBPREFIX/lib/pango/$pango_mod_version/modules/*.so $pkglib/pango/$pango_mod_version/modules/
+fi
gtk_version=`pkg-config --variable=gtk_binary_version gtk+-2.0`
mkdir -p $pkglib/gtk-2.0/$gtk_version/{engines,immodules,printbackends}
@@ -571,9 +590,11 @@ sed -e "s,__gdk_pixbuf_version__,$gdk_pixbuf_version,g" -i "" "$scrpath"
# recreate loaders and modules caches based on actually included modules
# Pango modules
-pango-querymodules "$pkglib/pango/$pango_version"/modules/*.so \
- | sed -e "s,$PWD/$pkgresources,@loader_path/..,g" \
- > "$pkgetc"/pango/pango.modules
+if [ $PANGOVERSION_MINOR -lt 37 ]; then
+ pango-querymodules "$pkglib/pango/$pango_mod_version"/modules/*.so \
+ | sed -e "s,$PWD/$pkgresources,@loader_path/..,g" \
+ > "$pkgetc"/pango/pango.modules
+fi
# Gtk immodules
gtk-query-immodules-2.0 "$pkglib/gtk-2.0/$gtk_version"/immodules/*.so \
@@ -625,7 +646,8 @@ sed -e "s,IMAGEMAGICKVER,$IMAGEMAGICKVER,g" -i "" "$scrpath"
sed -e "s,IMAGEMAGICKVER_MAJOR,$IMAGEMAGICKVER_MAJOR,g" -i "" "$scrpath"
# Copy aspell dictionary files:
-$cp_cmd -r "$LIBPREFIX/share/aspell" "$pkgresources/share/"
+$cp_cmd -r "$LIBPREFIX/lib/aspell-$ASPELL_VERSION" "$pkglib/"
+$cp_cmd -r "$LIBPREFIX/share/aspell" "$pkgshare/"
# Copy Poppler data:
$cp_cmd -r "$LIBPREFIX/share/poppler" "$pkgshare"
diff --git a/packaging/macosx/osx-build.sh b/packaging/macosx/osx-build.sh
index d5e428a0c..048523143 100755
--- a/packaging/macosx/osx-build.sh
+++ b/packaging/macosx/osx-build.sh
@@ -395,6 +395,7 @@ Included dependency versions (build or runtime):
LibWPG $(checkversion libwpg-0.2 libwpg)
Libcdr $(checkversion libcdr-0.0 libcdr)
Libvisio $(checkversion libvisio-0.0 libvisio)
+ Potrace $(checkversion potrace potrace)
Included python modules:
lxml $(checkversion py27-lxml py27-lxml)
numpy $(checkversion py27-numpy py27-numpy)
diff --git a/packaging/macosx/ports/devel/inkscape-packaging/Portfile b/packaging/macosx/ports/devel/inkscape-packaging/Portfile
index b3e2bfe4a..de5d9ef35 100644
--- a/packaging/macosx/ports/devel/inkscape-packaging/Portfile
+++ b/packaging/macosx/ports/devel/inkscape-packaging/Portfile
@@ -51,7 +51,8 @@ depends_build-append port:popt \
port:ImageMagick \
port:gtkspell2 \
port:aspell-dict-en \
- port:poppler
+ port:poppler \
+ port:potrace
# ports for Inkscape.app
depends_build-append port:gnome-icon-theme \
@@ -66,6 +67,7 @@ depends_build-append port:py27-lxml \
port:py27-numpy \
port:py27-Pillow \
port:py27-uniconvertor \
+ port:py27-serial \
port:py27-pygtk
if {${os.major} <= 10} {